Debian Bug report logs - #295635
manpages-dev: getdomainname(2) should mention it is NIS/YP domain, not DNS

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Lars Wirzenius <liw@iki.fi>

Date: Thu, 17 Feb 2005 04:18:02 UTC

Severity: minor

Tags: fixed-upstream, patch, upstream

Found in version 2.01-1

Fixed in version manpages/3.44-1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://thread.gmane.org/gmane.linux.man/3250

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#295635; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: getdomainname(2) should mention it is NIS/YP domain, not DNS
Date: Thu, 17 Feb 2005 06:14:54 +0200
Package: manpages-dev
Version: 2.01-1
Severity: normal

getdomainname(2) talks about domain names. According to glibc info files,
they are names for NIS//YP domains, not DNS domains. Pointing this out
on the manual page is likely to reduce some confusion. Adding "NIS/YP"
to NAME and the first sentence in DESCRIPTION would do this nicely.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-686
Locale: LANG=fi_FI.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)

Versions of packages manpages-dev depends on:
ii  manpages                      2.01-1     Manual pages about using a GNU/Lin

-- no debconf information



Severity set to `minor'. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.linux.man/3250'. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Tue, 23 Oct 2012 21:51:10 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Tue, 23 Oct 2012 21:51:10 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 11:27:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Wed, 07 Nov 2012 19:12:04 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Fri, 16 Nov 2012 20:57:20 GMT) Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@iki.fi>:
Bug acknowledged by developer. (Fri, 16 Nov 2012 20:57:20 GMT) Full text and rfc822 format available.

Message #22 received at 295635-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 295635-close@bugs.debian.org
Subject: Bug#295635: fixed in manpages 3.44-1
Date: Fri, 16 Nov 2012 20:47:47 +0000
Source: manpages
Source-Version: 3.44-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 295635@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 16 Nov 2012 19:56:48 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.44-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 122383 295635 604928 610036 633505 640764 651476 670874 675891 691414 692595 693255
Changes: 
 manpages (3.44-1) unstable; urgency=low
 .
   * Imported Upstream version 3.44: (Closes: #692595)
     . new manpages: getauxval.3 secure_getenv.3
     . major update to delete_module.2 init_module.2 prctl.2 getauxval.3 proc.5
     . fts.3: Improve description of physical vs. logical (Closes: #633505)
     . getdomainname.2: these calls relate to NIS, not DNS (Closes: #295635)
     . proc.5: fix 'starttime' description of /proc/PID/stat (Closes: #675891)
     . ptrace.2: Clarify some operations are not present on all
       architectures (Closes: #122383)
   * motd.5 updated and motd.tail removed: due to new behaviour of sysvinit
     2.88dsf-24 (Closes: #691414)
   * Add glibc-doc-reference to package description (Closes: #640764)
   * fputs.3: missing space in putc(c,stdout) (Closes: #693255)
   * resolv.conf.5: Document IPv6 format for nameserver (Closes: #610036)
   * stat.2: Clarify description of EOVERFLOW error (Closes: #604928)
   * Ack my NMUs (Closes: #651476, #670874)
Checksums-Sha1: 
 07d45cc9bdcf67149b7d82c27ce71d170e4ff933 1907 manpages_3.44-1.dsc
 6462c433044a84ff20008709175f6afa23dc0eb8 1762238 manpages_3.44.orig.tar.gz
 3798a32f25a814e5a38a6bc41ba1f541745ac600 47140 manpages_3.44-1.diff.gz
 945bef6da6a853f5a8c121bbcd4233b40998d942 795004 manpages_3.44-1_all.deb
 7ff3347ec10492594753aa9d97438abaa1eb4974 1737352 manpages-dev_3.44-1_all.deb
Checksums-Sha256: 
 30765fbf411a0aef331d86b45e64b58e58aac6d0f45eca09dfb9d9c8455713b1 1907 manpages_3.44-1.dsc
 4ec49f5f9faac757ffa2dfe6213e3ab8840a69325c377bfc4323b176c35cd0b2 1762238 manpages_3.44.orig.tar.gz
 0ec944859ec88bb239c3baa5cb9164ba54371c9b810687d91009a4c1dc964c3b 47140 manpages_3.44-1.diff.gz
 d8413c8901b76810ef7bf3a8375a1e5de36a8b25c5dc523dd9d436ae5e5e82c0 795004 manpages_3.44-1_all.deb
 0834ed14fab7621cef5a13d7de419f4bb3f454a7b0b0d849eaf22d623d54d315 1737352 manpages-dev_3.44-1_all.deb
Files: 
 ab10f22227f32682d3efa80e7efdfe54 1907 doc important manpages_3.44-1.dsc
 9b5b9c38f1db0ab944d5f879ba9d0557 1762238 doc important manpages_3.44.orig.tar.gz
 bf90c0de1df4183e85c790027fa0f051 47140 doc important manpages_3.44-1.diff.gz
 599a8dde0a88d618bb7dc2fe4c47509d 795004 doc important manpages_3.44-1_all.deb
 4445e79d4c739e9506e190a19d4ba052 1737352 doc optional manpages-dev_3.44-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQppUwAAoJEN/3OMLRbPui1x0QAJtyppV88sjsXlCeZa/3BpNE
0Mg7meTsn+1wEDWEDrKu+OGiTaEFIDdsHVWcaPz+NF7DQAh3i7t5+0xK+iVhsHnU
5MYRCOUerA7jYp+djuy62rmDJhGLJ9HO5Vb+2CadHiRt1JJJa/g8gJ9DRwa31Mkv
Wy3QW4B/psvO4iOvOM+IRkuU+m3Soa7ArLZWdKqVQ4Kq5th5BhZoo9u7+vg3KSQw
TbIMPnZuuVWakT4Pw8SVxYPbPQbi3UVTt3hp9MzFM1JWkzfkiZlDvziSH+nyW7H4
0mUTk7RHiNqXvyjcmw9rfahjLaGnQEa/Sj5JigHG5NU9+16O//DX5gxVVjbMuzhP
Kopxw5a129exfGK++XR0O9wcPR4BnKuoHXAFeJWP8o3EKt09XTWaIATRBYInmQ+R
UJ4OJKGn5hmPa9wN+itXbe2PAun6az3B04vgcMWoY4oMndu11KRAIKIhuQePfi1c
rdvw/HGxfQtOque2z6hpbVJfQXXfEpmbT/EABtHROQTCcbn+dMhOvfxWekzP55yr
/S/QWiGj3tbxcWHV0YpxMJIzs8tJFeygXxnZsq6qV/iJBgz+pFMP0srXcc9ModV2
1SFAwaITORw6jKpGOQJuVDK5WM6YFZcT5HGATFApzb908sgSngKW07n90aGLMdtR
V6/JVn3EsxJPjyKK0QLA
=PrZe
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Feb 2013 07:26:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:17:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.